NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Classes | Public Types | Public Member Functions | Properties | List of all members
NXOpen.Weld.WeldJointBuilder Class Reference

Used to create or edit a NXOpen.Weld.WeldJoint feature. More...

Inheritance diagram for NXOpen.Weld.WeldJointBuilder:
NXOpen.Weld.StructureWeldBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Weld.JointExitBuilder

Classes

struct  JointMidPointData
 Joint evaluation information at the mid point. More...
 

Public Types

enum  Application { StructureWelding, Routing }
 Application where joints are created. More...
 
enum  CoordinateSystem { Absolute, Ship }
 Coordinate system specification. More...
 
enum  DestinationTypes { WorkPart, NewComponent }
 Where to create new joints. More...
 
enum  SplitTypes {
  EqualSegments, Limits, Angle, ComputedAngle,
  Length, None, Skip
}
 Joint splitting options. More...
 
enum  Types { CreateAutomatic, CreateManual, CreateMultiple, CreateAttributes }
 Creation method. More...
 
enum  WeldTypes {
  Any, Groove, Fillet, Corner,
  Lap, Socket, Mechanical, Sleeve,
  Boss
}
 Weld types. More...
 

Public Member Functions

unsafe void AddCharacteristicsInheritaceInformation ()
 Add welding characteristics inheritance information. More...
 
unsafe void CopyLimits (NXOpen.Die.DieLimitsBuilder limits)
 Copy input limits to builder limits More...
 
unsafe NXOpen.Curve CreateLimitsPath (NXOpen.Curve jointCurve)
 Creates the path to be used for the limits. More...
 
unsafe void CreateSingleJointFromFeature (NXOpen.Curve featureCurve, bool updateBuilder)
 Creates a joint from a feature. More...
 
unsafe void Delete ()
 Deletes all joints set by NXOpen.Weld.WeldJointBuilder.Joint . More...
 
unsafe void DeleteAllUnMarkedJoints ()
 Deletes any joints that were not marked with a call to NXOpen.Weld.WeldJointBuilder.MarkJointsToKeep . More...
 
unsafe void DeleteCharacteristicsInheritaceInformation ()
 Delete welding characteristics inheritance information. More...
 
unsafe void FindPortsInParts (NXOpen.Part[] parts, out NXOpen.Routing.Port[] ports)
 Gets ports from the parts. More...
 
unsafe double GetAngleBetween ()
 Gets the angle between the fillet weld mold faces, and the target faces, or butt weld primary and secondary faces. More...
 
unsafe void GetConnectedParts (out NXOpen.Assemblies.Component[] parts)
 Gets connected parts for joint. More...
 
unsafe bool GetIsLongPoint ()
 Gets the long point status. More...
 
unsafe bool GetJointChanged (NXOpen.Curve curve)
 Indicates whether joint was changed. More...
 
unsafe NXOpen.Die.DieLimitsBuilder GetJointLimits (NXOpen.Curve curve)
 Get the limits of an individual joint. More...
 
unsafe bool GetMidPointInformation (NXOpen.Weld.WeldJointBuilder.CoordinateSystem desiredCoordinateSystem, out NXOpen.Weld.WeldJointBuilder.JointMidPointData jointMidPointData)
 Gets the joint curve mid point, tangent, and face normals at the mid point from the primary and secondary bodies. More...
 
unsafe void GetNewlyCreatedJoints (out NXOpen.Curve[] curves, out NXOpen.Weld.JointItemBuilder[] newItemBuilder)
 Gets the NXOpen.Weld.JointItemBuilder objects and curves which were just created by NXOpen.Weld.WeldJointBuilder.ShowJoints . More...
 
unsafe double GetPrimaryThickness (NXOpen.Curve curve)
 Gets the primary thickness for a specified joint More...
 
unsafe double GetSecondaryThickness (NXOpen.Curve curve)
 Gets the primary secondary for a specified joint More...
 
unsafe NXOpen.Weld.JointItemBuilder GetSingleJoint (NXOpen.Curve curve)
 Gets the NXOpen.Weld.JointItemBuilder object associated to the input curve. More...
 
unsafe void GetVariableBevelAngles (out double[] variableAngles)
 Gets variable bevel angles. More...
 
unsafe bool IsCornerOpen ()
 Returns status value of true if corner joint is an open case which means the placement face only touches the target face at the master edge. More...
 
unsafe bool IsPipeJoint ()
 Returns status value of true if this is a pipe welding joint. More...
 
unsafe void MarkJointsToKeep ()
 Marks all currently created welding joints so they do not get deleted when NXOpen.Weld.WeldJointBuilder.DeleteAllUnMarkedJoints is called from the dialog. More...
 
unsafe NXOpen.Weld.JointItemBuilder NewItem ()
 Creates a NXOpen.Weld.JointItemBuilder object. More...
 
unsafe void SetCallbackMessage (string message)
 Sets a message to display after callback processing ends More...
 
unsafe void SetErrorMessage (string message)
 Sets an error message to display More...
 
unsafe void SetJointChanged (NXOpen.Curve curve, bool changed)
 Indicate that joint was changed. More...
 
unsafe void SetVariableBevelAngles (double[] variableAngles)
 This method is for use with the variable bevel callback. More...
 
unsafe void ShowJoints ()
 Show joints will create joints using the method set by NXOpen.Weld.WeldJointBuilder.Types . More...
 
unsafe void Split ()
 Splits all joints set by NXOpen.Weld.WeldJointBuilder.Joint defined by NXOpen.Weld.WeldJointBuilder.SplitTypes . More...
 
unsafe void UpdateCollectors (NXOpen.Curve jointCurve)
 Updates the main collectors by copying data from Joint. More...
 
unsafe void UpdateJointAfterLimitsChange ()
 Updates the joint curve after the limits change. More...
 
unsafe void UpdateJointAfterLimitsChange (NXOpen.Die.DieLimitsBuilder limits)
 Updates the joint curve after the limits change. More...
 
unsafe void UpdateJointType (NXOpen.Weld.WeldJointBuilder.WeldTypes type)
 Updates all joints set by NXOpen.Weld.WeldJointBuilder.Joint to have the given type. More...
 
- Public Member Functions inherited from NXOpen.Weld.StructureWeldBuilder
unsafe
NXOpen.Assemblies.Component[] 
GetCommittedComponents ()
 This method returns the component parts that are created by Builder.Commit . More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AssociativeSplit [get, set]
 Returns or sets whether split joints should be associative More...
 
unsafe NXOpen.ScCollector BackingFace [get]
 Returns the backing face. More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
BossColorFontWidth [get]
 Returns the color, font, and width of the boss joint curves. More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
ButtColorFontWidth [get]
 Returns the color, font, and width of the butt joint curves. More...
 
unsafe bool CombineConnectedJoints [get, set]
 Returns or sets the indication to combine connected joints if they belong to the same body More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
CornerColorFontWidth [get]
 Returns the color, font, and width of the corner joint curves. More...
 
unsafe
NXOpen.Weld.WeldJointBuilder.Application 
CreatedApplication [get, set]
 Returns or sets the application where joint is created More...
 
unsafe
NXOpen.Weld.WeldJointBuilder.Types 
CreateMethod [get, set]
 Returns or sets the creation method More...
 
unsafe
NXOpen.Weld.WeldJointBuilder.DestinationTypes 
Destination [get, set]
 Returns or sets the destination to create new joints More...
 
unsafe bool DuplicateCheck [get, set]
 Returns or sets the indication to not allow new joints to be created if they are duplicates of exising joints More...
 
unsafe NXOpen.SelectCurveList Joint [get]
 Returns the welding joint curves. More...
 
unsafe
NXOpen.Weld.JointItemBuilderList 
JointList [get]
 Returns the list of NXOpen.Weld.JointItemBuilder objects. More...
 
unsafe string JointPrefix [get, set]
 Returns or sets the prefix for the weld ID attribute, and the prefix for the name of the component if NXOpen.Weld.WeldJointBuilder.DestinationTypes is NXOpen.Weld.WeldJointBuilder.DestinationTypes.NewComponent More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
LapColorFontWidth [get]
 Returns the color, font, and width of the lap joint curves. More...
 
unsafe
NXOpen.Die.DieLimitsBuilderList 
LimitList [get]
 Returns the list of limit builders. More...
 
unsafe NXOpen.Die.DieLimitsBuilder Limits [get]
 Returns the limits of the joint curve span. More...
 
unsafe NXOpen.ScCollector MasterEdge [get]
 Returns the master edge of a fillet weld. More...
 
unsafe double MaximumFaceGap [get, set]
 Returns or sets the maximum face gap used when determining if two bodies intersect. More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
MechanicalColorFontWidth [get]
 Returns the color, font, and width of the mechanical joint curves. More...
 
unsafe string NamePrefix [get, set]
 Returns or sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode More...
 
unsafe int NumberSegments [get, set]
 Returns or sets the number of segments to divide a joint when using NXOpen.Weld.WeldJointBuilder.SplitTypes.EqualSegments . More...
 
unsafe NXOpen.ScCollector PlacementFace [get]
 Returns the placement face of a fillet weld. More...
 
unsafe NXOpen.ScCollector PrimaryEdge [get]
 Returns the primary edge of a butt weld. More...
 
unsafe NXOpen.ScCollector PrimaryFace [get]
 Returns the primary face of a butt weld. More...
 
unsafe NXOpen.ScCollector SecondaryEdge [get]
 Returns the secondary edge of a butt weld. More...
 
unsafe NXOpen.ScCollector SecondaryFace [get]
 Returns the secondary face of a butt weld. More...
 
unsafe NXOpen.SelectNXObjectList ShipComponent [get]
 Returns the components on which the welding joints will be created. More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
SleeveColorFontWidth [get]
 Returns the color, font, and width of the sleeve joint curves. More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
SocketColorFontWidth [get]
 Returns the color, font, and width of the socket joint curves. More...
 
unsafe double SpacingLength [get, set]
 Returns or sets the spacing length when using NXOpen.Weld.WeldJointBuilder.SplitTypes.Skip . More...
 
unsafe double SplitAngle [get, set]
 Returns or sets the split angle to divide a joint when using NXOpen.Weld.WeldJointBuilder.SplitTypes.Angle . More...
 
unsafe double SplitLength [get, set]
 Returns or sets the segment length when using NXOpen.Weld.WeldJointBuilder.SplitTypes.Skip . More...
 
unsafe
NXOpen.Weld.WeldJointBuilder.SplitTypes 
SplitOption [get, set]
 Returns or sets the method used to split the joint More...
 
unsafe NXOpen.Part SubsetPart [get, set]
 Returns or sets the subset part where Design Control Elements are to be created More...
 
unsafe NXOpen.ScCollector TargetFace [get]
 Returns the target face of a fillet weld. More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
TJointColorFontWidth [get]
 Returns the color, font, and width of the T-joint curves. More...
 
unsafe
NXOpen.Weld.WeldJointBuilder.Types 
Type [get, set]
 Returns or sets the creation type More...
 
unsafe
NXOpen.Weld.CharacteristicsBuilder 
WeldingCharacteristics [get]
 Returns the collection of welding characteristics defined by attributes. More...
 
unsafe
NXOpen.Weld.WeldJointBuilder.WeldTypes 
WeldType [get, set]
 Returns or sets the weld type More...
 
unsafe NXOpen.Part WorkPart [get, set]
 Returns or sets the saved work part More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Used to create or edit a NXOpen.Weld.WeldJoint feature.

To create a new instance of this class, use NXOpen.Weld.WeldManager.CreateJointBuilder

Default values.

Property Value

NumberSegments

2

SplitAngle

5.0

Created in NX8.0.0

Member Enumeration Documentation

Application where joints are created.

Enumerator
StructureWelding 

Structure Welding Application.

Routing 

Routing Application.

Coordinate system specification.

Enumerator
Absolute 

Desired points and vectors should be in absolute coordinates.

Ship 

Desired points and vectors should be in ship coordinate system.

Where to create new joints.

Enumerator
WorkPart 

Create new joints in work part.

NewComponent 

Create a new componenent for each joint under the work part.

Joint splitting options.

Enumerator
EqualSegments 

Specified number of equal segments.

Limits 

At limits defined by NXOpen.Weld.WeldJointBuilder.LimitList .

Angle 

At specifed angle.

ComputedAngle 

At angle computed from geometry and tables.

Length 

At equal arc length.

None 

No split.

Skip 

Skip joint.

Creation method.

Enumerator
CreateAutomatic 

Automatic weld joint creation.

CreateManual 

Manual weld joint creation.

CreateMultiple 

Create multiple weld joints from manual input.

CreateAttributes 

Create weld joints from attributed ship structures data.

Weld types.

Enumerator
Any 

Any Joint type.

Groove 

Groove joint.

Fillet 

T-Joint.

Corner 

Corner joint.

Lap 

Lap joint.

Socket 

Socket joint for pipe welding.

Mechanical 

Mechanical joint for pipe welding.

Sleeve 

Sleeve joint for pipe welding.

Boss 

Boss joint for pipe welding.

Member Function Documentation

unsafe void NXOpen.Weld.WeldJointBuilder.AddCharacteristicsInheritaceInformation ( )
inline

Add welding characteristics inheritance information.

Created in NX10.0.0

License requirements: structure_weld ("STRUCTURE WELD")

unsafe void NXOpen.Weld.WeldJointBuilder.CopyLimits ( NXOpen.Die.DieLimitsBuilder  limits)
inline

Copy input limits to builder limits

Created in NX8.5.0

License requirements: None.

Parameters
limitslimits to copy
unsafe NXOpen.Curve NXOpen.Weld.WeldJointBuilder.CreateLimitsPath ( NXOpen.Curve  jointCurve)
inline

Creates the path to be used for the limits.

Created in NX8.0.0

License requirements: None.

Parameters
jointCurveJoint curve used to create path.
Returns
Resulting path.
unsafe void NXOpen.Weld.WeldJointBuilder.CreateSingleJointFromFeature ( NXOpen.Curve  featureCurve,
bool  updateBuilder 
)
inline

Creates a joint from a feature.

Created in NX8.0.0

License requirements: None.

Parameters
featureCurveWeld Joint feature curve
updateBuilderindicates where builder should be updated with information from the feature
unsafe void NXOpen.Weld.WeldJointBuilder.Delete ( )
inline

Deletes all joints set by NXOpen.Weld.WeldJointBuilder.Joint .

Created in NX8.0.0

License requirements: structure_weld ("STRUCTURE WELD")

unsafe void NXOpen.Weld.WeldJointBuilder.DeleteAllUnMarkedJoints ( )
inline

Deletes any joints that were not marked with a call to NXOpen.Weld.WeldJointBuilder.MarkJointsToKeep .

Created in NX8.5.0

License requirements: structure_weld ("STRUCTURE WELD")

unsafe void NXOpen.Weld.WeldJointBuilder.DeleteCharacteristicsInheritaceInformation ( )
inline

Delete welding characteristics inheritance information.

Created in NX10.0.0

License requirements: structure_weld ("STRUCTURE WELD")

unsafe void NXOpen.Weld.WeldJointBuilder.FindPortsInParts ( NXOpen.Part[]  parts,
out NXOpen.Routing.Port[]  ports 
)
inline

Gets ports from the parts.

Created in NX10.0.0

License requirements: None.

Parameters
partsthe parts used to find the ports.
portsthe collection of ports in the parts
unsafe double NXOpen.Weld.WeldJointBuilder.GetAngleBetween ( )
inline

Gets the angle between the fillet weld mold faces, and the target faces, or butt weld primary and secondary faces.

Created in NX8.0.0

License requirements: None.

Returns
unsafe void NXOpen.Weld.WeldJointBuilder.GetConnectedParts ( out NXOpen.Assemblies.Component[]  parts)
inline

Gets connected parts for joint.

Only connected parts that are partially or fully loaded will be returned. Any components that are unloaded will not be returned.

Created in NX9.0.1

License requirements: None.

Parameters
parts
unsafe bool NXOpen.Weld.WeldJointBuilder.GetIsLongPoint ( )
inline

Gets the long point status.

A long point indicates only trimming and no extension is needed to to meeting the body being welded to.

Created in NX8.0.0

License requirements: None.

Returns
unsafe bool NXOpen.Weld.WeldJointBuilder.GetJointChanged ( NXOpen.Curve  curve)
inline

Indicates whether joint was changed.

Created in NX8.0.0

License requirements: None.

Parameters
curveJoint curve to check
Returns
unsafe NXOpen.Die.DieLimitsBuilder NXOpen.Weld.WeldJointBuilder.GetJointLimits ( NXOpen.Curve  curve)
inline

Get the limits of an individual joint.

Created in NX8.0.0

License requirements: None.

Parameters
curve
Returns
unsafe bool NXOpen.Weld.WeldJointBuilder.GetMidPointInformation ( NXOpen.Weld.WeldJointBuilder.CoordinateSystem  desiredCoordinateSystem,
out NXOpen.Weld.WeldJointBuilder.JointMidPointData  jointMidPointData 
)
inline

Gets the joint curve mid point, tangent, and face normals at the mid point from the primary and secondary bodies.

Created in NX8.5.0

License requirements: None.

Parameters
desiredCoordinateSystemCoordinate system of data returned in jointMidPointData
jointMidPointDataThe joint mid point, tangent and face normals.
Returns
Equals true if data was returned.
unsafe void NXOpen.Weld.WeldJointBuilder.GetNewlyCreatedJoints ( out NXOpen.Curve[]  curves,
out NXOpen.Weld.JointItemBuilder[]  newItemBuilder 
)
inline

Gets the NXOpen.Weld.JointItemBuilder objects and curves which were just created by NXOpen.Weld.WeldJointBuilder.ShowJoints .

Created in NX8.0.0

License requirements: structure_weld ("STRUCTURE WELD")

Parameters
curves
newItemBuilder
unsafe double NXOpen.Weld.WeldJointBuilder.GetPrimaryThickness ( NXOpen.Curve  curve)
inline

Gets the primary thickness for a specified joint

Created in NX8.0.0

License requirements: None.

Parameters
curve
Returns
unsafe double NXOpen.Weld.WeldJointBuilder.GetSecondaryThickness ( NXOpen.Curve  curve)
inline

Gets the primary secondary for a specified joint

Created in NX8.0.0

License requirements: None.

Parameters
curve
Returns
unsafe NXOpen.Weld.JointItemBuilder NXOpen.Weld.WeldJointBuilder.GetSingleJoint ( NXOpen.Curve  curve)
inline

Gets the NXOpen.Weld.JointItemBuilder object associated to the input curve.

Created in NX8.0.0

License requirements: None.

Parameters
curveJoint curve
Returns
unsafe void NXOpen.Weld.WeldJointBuilder.GetVariableBevelAngles ( out double[]  variableAngles)
inline

Gets variable bevel angles.

This method is for use with the variable bevel callback.

Created in NX8.5.0

License requirements: None.

Parameters
variableAngles
unsafe bool NXOpen.Weld.WeldJointBuilder.IsCornerOpen ( )
inline

Returns status value of true if corner joint is an open case which means the placement face only touches the target face at the master edge.

Created in NX9.0.1

License requirements: None.

Returns
unsafe bool NXOpen.Weld.WeldJointBuilder.IsPipeJoint ( )
inline

Returns status value of true if this is a pipe welding joint.

Created in NX10.0.0

License requirements: None.

Returns
unsafe void NXOpen.Weld.WeldJointBuilder.MarkJointsToKeep ( )
inline

Marks all currently created welding joints so they do not get deleted when NXOpen.Weld.WeldJointBuilder.DeleteAllUnMarkedJoints is called from the dialog.

Created in NX8.5.0

License requirements: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.Weld.JointItemBuilder NXOpen.Weld.WeldJointBuilder.NewItem ( )
inline

Creates a NXOpen.Weld.JointItemBuilder object.

Created in NX8.0.0

License requirements: structure_weld ("STRUCTURE WELD")

Returns
unsafe void NXOpen.Weld.WeldJointBuilder.SetCallbackMessage ( string  message)
inline

Sets a message to display after callback processing ends

Created in NX8.5.0

License requirements: structure_weld ("STRUCTURE WELD")

Parameters
messageMessage to display to user
unsafe void NXOpen.Weld.WeldJointBuilder.SetErrorMessage ( string  message)
inline

Sets an error message to display

Created in NX8.5.0

License requirements: structure_weld ("STRUCTURE WELD")

Parameters
messageMessage to display to user
unsafe void NXOpen.Weld.WeldJointBuilder.SetJointChanged ( NXOpen.Curve  curve,
bool  changed 
)
inline

Indicate that joint was changed.

Created in NX8.0.0

License requirements: None.

Parameters
curveJoint curve to check
changed
unsafe void NXOpen.Weld.WeldJointBuilder.SetVariableBevelAngles ( double[]  variableAngles)
inline

This method is for use with the variable bevel callback.

Created in NX8.0.0

License requirements: None.

Parameters
variableAnglesthe variable angles.
unsafe void NXOpen.Weld.WeldJointBuilder.ShowJoints ( )
inline
unsafe void NXOpen.Weld.WeldJointBuilder.Split ( )
inline

Splits all joints set by NXOpen.Weld.WeldJointBuilder.Joint defined by NXOpen.Weld.WeldJointBuilder.SplitTypes .

Created in NX8.0.0

License requirements: structure_weld ("STRUCTURE WELD")

unsafe void NXOpen.Weld.WeldJointBuilder.UpdateCollectors ( NXOpen.Curve  jointCurve)
inline

Updates the main collectors by copying data from Joint.

Created in NX8.0.0

License requirements: None.

Parameters
jointCurveJoint curve to use to update collectors
unsafe void NXOpen.Weld.WeldJointBuilder.UpdateJointAfterLimitsChange ( )
inline

Updates the joint curve after the limits change.

Created in NX8.0.0

License requirements: None.

unsafe void NXOpen.Weld.WeldJointBuilder.UpdateJointAfterLimitsChange ( NXOpen.Die.DieLimitsBuilder  limits)
inline

Updates the joint curve after the limits change.

Created in NX8.0.0

License requirements: None.

Parameters
limitslimits that changed
unsafe void NXOpen.Weld.WeldJointBuilder.UpdateJointType ( NXOpen.Weld.WeldJointBuilder.WeldTypes  type)
inline

Updates all joints set by NXOpen.Weld.WeldJointBuilder.Joint to have the given type.

Created in NX9.0.0

License requirements: structure_weld ("STRUCTURE WELD")

Parameters
type

Property Documentation

unsafe bool NXOpen.Weld.WeldJointBuilder.AssociativeSplit
getset

Returns or sets whether split joints should be associative

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.ScCollector NXOpen.Weld.WeldJointBuilder.BackingFace
get

Returns the backing face.

This should only be used when creating a NXOpen.Weld.WeldJoint feature. When editing a feature the NXOpen.Weld.JointItemBuilder.BackingFace of the NXOpen.Weld.JointItemBuilder should be used to access the data.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.LineColorFontWidthBuilder NXOpen.Weld.WeldJointBuilder.BossColorFontWidth
get

Returns the color, font, and width of the boss joint curves.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.LineColorFontWidthBuilder NXOpen.Weld.WeldJointBuilder.ButtColorFontWidth
get

Returns the color, font, and width of the butt joint curves.

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.Weld.WeldJointBuilder.CombineConnectedJoints
getset

Returns or sets the indication to combine connected joints if they belong to the same body

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.LineColorFontWidthBuilder NXOpen.Weld.WeldJointBuilder.CornerColorFontWidth
get

Returns the color, font, and width of the corner joint curves.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Weld.WeldJointBuilder.Application NXOpen.Weld.WeldJointBuilder.CreatedApplication
getset

Returns or sets the application where joint is created

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.Weld.WeldJointBuilder.Types NXOpen.Weld.WeldJointBuilder.CreateMethod
getset

Returns or sets the creation method

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.Weld.WeldJointBuilder.DestinationTypes NXOpen.Weld.WeldJointBuilder.Destination
getset

Returns or sets the destination to create new joints

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe bool NXOpen.Weld.WeldJointBuilder.DuplicateCheck
getset

Returns or sets the indication to not allow new joints to be created if they are duplicates of exising joints

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.SelectCurveList NXOpen.Weld.WeldJointBuilder.Joint
get

Returns the welding joint curves.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Weld.JointItemBuilderList NXOpen.Weld.WeldJointBuilder.JointList
get

Returns the list of NXOpen.Weld.JointItemBuilder objects.

When editing a NXOpen.Weld.WeldJoint the NXOpen.Weld.WeldJointBuilder.Joint should be used to access the output curves of the feature. NXOpen.Weld.WeldJointBuilder.GetSingleJoint is then used to access the NXOpen.Weld.JointItemBuilder from the curve.

Created in NX8.0.0

License requirements: None.

unsafe string NXOpen.Weld.WeldJointBuilder.JointPrefix
getset

Returns or sets the prefix for the weld ID attribute, and the prefix for the name of the component if NXOpen.Weld.WeldJointBuilder.DestinationTypes is NXOpen.Weld.WeldJointBuilder.DestinationTypes.NewComponent

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.LineColorFontWidthBuilder NXOpen.Weld.WeldJointBuilder.LapColorFontWidth
get

Returns the color, font, and width of the lap joint curves.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Die.DieLimitsBuilderList NXOpen.Weld.WeldJointBuilder.LimitList
get

Returns the list of limit builders.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Die.DieLimitsBuilder NXOpen.Weld.WeldJointBuilder.Limits
get

Returns the limits of the joint curve span.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.WeldJointBuilder.MasterEdge
get

Returns the master edge of a fillet weld.

This should only be used when creating a NXOpen.Weld.WeldJoint feature. When editing a feature the NXOpen.Weld.JointItemBuilder.MasterEdge of the NXOpen.Weld.JointItemBuilder should be used to access the data.

Created in NX8.0.0

License requirements: None.

unsafe double NXOpen.Weld.WeldJointBuilder.MaximumFaceGap
getset

Returns or sets the maximum face gap used when determining if two bodies intersect.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.LineColorFontWidthBuilder NXOpen.Weld.WeldJointBuilder.MechanicalColorFontWidth
get

Returns the color, font, and width of the mechanical joint curves.

Created in NX9.0.0

License requirements: None.

unsafe string NXOpen.Weld.WeldJointBuilder.NamePrefix
getset

Returns or sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe int NXOpen.Weld.WeldJointBuilder.NumberSegments
getset

Returns or sets the number of segments to divide a joint when using NXOpen.Weld.WeldJointBuilder.SplitTypes.EqualSegments .

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.ScCollector NXOpen.Weld.WeldJointBuilder.PlacementFace
get

Returns the placement face of a fillet weld.

For example, on a profile it is the face that touches the plate. This should only be used when creating a NXOpen.Weld.WeldJoint feature. When editing a feature the NXOpen.Weld.JointItemBuilder.PlacementFace of the NXOpen.Weld.JointItemBuilder should be used to access the data.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.WeldJointBuilder.PrimaryEdge
get

Returns the primary edge of a butt weld.

This should only be used when creating a NXOpen.Weld.WeldJoint feature. When editing a feature the NXOpen.Weld.JointItemBuilder.PrimaryEdge of the NXOpen.Weld.JointItemBuilder should be used to access the data.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.WeldJointBuilder.PrimaryFace
get

Returns the primary face of a butt weld.

This should only be used when creating a NXOpen.Weld.WeldJoint feature. When editing a feature the NXOpen.Weld.JointItemBuilder.PrimaryFace of the NXOpen.Weld.JointItemBuilder should be used to access the data.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.WeldJointBuilder.SecondaryEdge
get

Returns the secondary edge of a butt weld.

This should only be used when creating a NXOpen.Weld.WeldJoint feature. When editing a feature the NXOpen.Weld.JointItemBuilder.SecondaryEdge of the NXOpen.Weld.JointItemBuilder should be used to access the data.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.WeldJointBuilder.SecondaryFace
get

Returns the secondary face of a butt weld.

This should only be used when creating a NXOpen.Weld.WeldJoint feature. When editing a feature the NXOpen.Weld.JointItemBuilder.SecondaryFace of the NXOpen.Weld.JointItemBuilder should be used to access the data.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Weld.WeldJointBuilder.ShipComponent
get

Returns the components on which the welding joints will be created.

Used when NXOpen.Weld.WeldJointBuilder.Types . is set to NXOpen.Weld.WeldJointBuilder.Types.CreateAutomatic or NXOpen.Weld.WeldJointBuilder.Types.CreateAttributes After setting the components, NXOpen.Weld.WeldJointBuilder.ShowJoints should be called to create the welding joints.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.LineColorFontWidthBuilder NXOpen.Weld.WeldJointBuilder.SleeveColorFontWidth
get

Returns the color, font, and width of the sleeve joint curves.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.LineColorFontWidthBuilder NXOpen.Weld.WeldJointBuilder.SocketColorFontWidth
get

Returns the color, font, and width of the socket joint curves.

Created in NX9.0.0

License requirements: None.

unsafe double NXOpen.Weld.WeldJointBuilder.SpacingLength
getset

Returns or sets the spacing length when using NXOpen.Weld.WeldJointBuilder.SplitTypes.Skip .

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe double NXOpen.Weld.WeldJointBuilder.SplitAngle
getset

Returns or sets the split angle to divide a joint when using NXOpen.Weld.WeldJointBuilder.SplitTypes.Angle .

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe double NXOpen.Weld.WeldJointBuilder.SplitLength
getset

Returns or sets the segment length when using NXOpen.Weld.WeldJointBuilder.SplitTypes.Skip .

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.Weld.WeldJointBuilder.SplitTypes NXOpen.Weld.WeldJointBuilder.SplitOption
getset

Returns or sets the method used to split the joint

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.Part NXOpen.Weld.WeldJointBuilder.SubsetPart
getset

Returns or sets the subset part where Design Control Elements are to be created

Created in NX9.0.1

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.ScCollector NXOpen.Weld.WeldJointBuilder.TargetFace
get

Returns the target face of a fillet weld.

For example, the plate face that the profile lies on. This should only be used when creating a NXOpen.Weld.WeldJoint feature. When editing a feature the NXOpen.Weld.JointItemBuilder.TargetFace of the NXOpen.Weld.JointItemBuilder should be used to access the data.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.LineColorFontWidthBuilder NXOpen.Weld.WeldJointBuilder.TJointColorFontWidth
get

Returns the color, font, and width of the T-joint curves.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Weld.WeldJointBuilder.Types NXOpen.Weld.WeldJointBuilder.Type
getset

Returns or sets the creation type

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.Weld.CharacteristicsBuilder NXOpen.Weld.WeldJointBuilder.WeldingCharacteristics
get

Returns the collection of welding characteristics defined by attributes.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Weld.WeldJointBuilder.WeldTypes NXOpen.Weld.WeldJointBuilder.WeldType
getset

Returns or sets the weld type

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.Part NXOpen.Weld.WeldJointBuilder.WorkPart
getset

Returns or sets the saved work part

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.